Skip to main content
GET
/
api
/
v2
/
saved
/
{chartUuid}
/
schedulers
/
{schedulerUuid}
/
runs
Error
A valid request URL is required to generate request examples
{
  "results": {
    "data": [
      {
        "format": "csv",
        "createdByUserName": "<string>",
        "createdByUserUuid": "<string>",
        "resourceName": "<string>",
        "resourceUuid": "<string>",
        "resourceType": "chart",
        "logCounts": {
          "error": 123,
          "completed": 123,
          "started": 123,
          "scheduled": 123,
          "total": 123
        },
        "details": {},
        "createdAt": "2023-11-07T05:31:56Z",
        "runStatus": "completed",
        "status": "scheduled",
        "scheduledTime": "2023-11-07T05:31:56Z",
        "schedulerName": "<string>",
        "schedulerUuid": "<string>",
        "runId": "<string>"
      }
    ],
    "pagination": {
      "page": 123,
      "pageSize": 123,
      "totalResults": 123,
      "totalPageCount": 123
    }
  },
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

chartUuid
string
required

The uuid of the chart

schedulerUuid
string
required

The uuid of the scheduler

Query Parameters

pageSize
number<double>

number of items per page

page
number<double>

page number

searchQuery
string

filter runs by scheduler name

sortBy
enum<string>

column to sort by (scheduledTime, createdAt)

Available options:
scheduledTime,
createdAt
sortDirection
enum<string>

sort direction (asc or desc)

Available options:
asc,
desc
statuses
string

comma-separated list of run statuses to include

destinations
string

comma-separated list of destination types to include

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok